summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-fps/soldieroffortune
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-fps/soldieroffortune')
-rw-r--r--games-fps/soldieroffortune/Manifest1
-rw-r--r--games-fps/soldieroffortune/metadata.xml8
-rw-r--r--games-fps/soldieroffortune/soldieroffortune-1.06a-r1.ebuild84
3 files changed, 93 insertions, 0 deletions
diff --git a/games-fps/soldieroffortune/Manifest b/games-fps/soldieroffortune/Manifest
new file mode 100644
index 00000000000..3ae73231753
--- /dev/null
+++ b/games-fps/soldieroffortune/Manifest
@@ -0,0 +1 @@
+DIST sof-1.06a-cdrom-x86.run 22928437 SHA256 44546073f26a610ec554f3d197e157a6691c0891651689308e62feccc01a1c16 SHA512 91ef3953bd6b6630ab602f64d15a3056f85d90139b18aa3eb9a9a0a75db2ece61ef683ddf1d03b63f0dfc902d7a27914ae673398713941f281e96555d9645078 WHIRLPOOL 986d4f7a5115203fec37ebb187c80e27ff4f986b19157afd42179af9f032b20bf305352cc4a3efe38a0b181ac8d3dcb8c98399fdf3b370b076cbe7615c4cd4d0
diff --git a/games-fps/soldieroffortune/metadata.xml b/games-fps/soldieroffortune/metadata.xml
new file mode 100644
index 00000000000..9200a54f5b3
--- /dev/null
+++ b/games-fps/soldieroffortune/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+<longdescription>
+Soldier of Fortune is a first-person 3-D shooter based on the mercenary trade. You play as John, an ex-military mercinary who still has plenty of good friends on the inside. For a wad of bucks, you'll do the job -- no cares, no worries. Just get the gun, play for keeps, get paid, on to the next one -- that's your life. That's what you do. And you're good at it, one of the best even. But now is the time for your biggest challenge ever. The game was ported to Linux by the now defunct Loki Entertainment and is commercial software. You can still pick up a copy from Tuxgames (http://www.tuxgames.com), but supplies are limited, as the publisher is no longer in business.
+</longdescription>
+</pkgmetadata>
diff --git a/games-fps/soldieroffortune/soldieroffortune-1.06a-r1.ebuild b/games-fps/soldieroffortune/soldieroffortune-1.06a-r1.ebuild
new file mode 100644
index 00000000000..f220471117b
--- /dev/null
+++ b/games-fps/soldieroffortune/soldieroffortune-1.06a-r1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit check-reqs eutils unpacker cdrom games
+
+DESCRIPTION="First-person shooter based on the mercenary trade"
+HOMEPAGE="http://www.lokigames.com/products/sof/"
+SRC_URI="mirror://lokigames/sof/sof-${PV}-cdrom-x86.run"
+
+LICENSE="LOKI-EULA"
+SLOT="0"
+KEYWORDS="amd64 x86"
+RESTRICT="strip"
+IUSE=""
+
+DEPEND="games-util/loki_patch"
+RDEPEND="sys-libs/glibc
+ amd64? ( sys-libs/glibc[multilib] )
+ virtual/opengl[abi_x86_32(-)]
+ media-libs/libsdl[X,opengl,sound,abi_x86_32(-)]
+ x11-libs/libXrender[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ media-libs/smpeg[abi_x86_32(-)]"
+
+S=${WORKDIR}
+
+dir=${GAMES_PREFIX_OPT}/${PN}
+Ddir=${ED}/${dir}
+unpackDir=${T}/unpack
+
+CHECKREQS_DISK_BUILD="1450M"
+CHECKREQS_DISK_USR="725M"
+
+pkg_pretend() {
+ check-reqs_pkg_pretend
+}
+
+src_unpack() {
+ cdrom_get_cds sof.xpm
+ unpack_makeself
+ mkdir ${unpackDir} || die
+ tar xzf "${CDROM_ROOT}"/paks.tar.gz -C "${unpackDir}" || die
+ tar xzf "${CDROM_ROOT}"/binaries.tar.gz -C "${unpackDir}" || die
+}
+
+src_install() {
+ einfo "Copying files... this may take a while..."
+ exeinto "${dir}"
+ doexe "${CDROM_ROOT}"/bin/x86/glibc-2.1/sof
+ insinto "${dir}"
+ doins -r "${unpackDir}"/*
+ doins "${CDROM_ROOT}"/{README,kver.pub,sof.xpm}
+
+ cd "${S}"
+ export _POSIX2_VERSION=199209
+ loki_patch --verify patch.dat
+ loki_patch patch.dat "${Ddir}" >& /dev/null || die
+
+ # now, since these files are coming off a cd, the times/sizes/md5sums wont
+ # be different ... that means portage will try to unmerge some files (!)
+ # we run touch on ${D} so as to make sure portage doesnt do any such thing
+ find "${Ddir}" -exec touch '{}' +
+
+ games_make_wrapper sof ./sof "${dir}" "${dir}"
+
+ # fix buffer overflow
+ sed -i -e '/^exec/i \
+export MESA_EXTENSION_MAX_YEAR=2003 \
+export __GL_ExtensionStringVersion=17700' \
+ "${ED}/${GAMES_BINDIR}/sof" || die
+
+ doicon "${CDROM_ROOT}"/sof.xpm
+ make_desktop_entry sof "Soldier of Fortune" sof
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ elog "To play the game run:"
+ elog " sof"
+}